Summary:  LinuxSampler - modular, streaming capable, realtime audio sampler
Name:     linuxsampler
Version:  2.2.0
Release:  20

License:  GPL
Group:    Sound
Source0:  https://download.linuxsampler.org/packages/%{name}-%{version}.tar.bz2
URL:      https://www.linuxsampler.org/
BuildRequires: clang byacc perl-libxml-perl perl-Data-Dumper bison
BuildRequires: sqlite-devel libsq3-devel flex flex-devel alsa-lib-devel
BuildRequires: libsndfile-devel jack-audio-connection-kit-devel
BuildRequires: libgig-devel >= 4.3.0 liblscp-devel >= 0.9.4
BuildRequires: lv2-devel libtool libuuid-devel libuuid

Requires: libgig >= 4.3.0 liblscp >= 0.9.4 libsndfile sqlite-libs libsq3 lv2

%description
LinuxSampler is a free software audio sampler with professional grade
features. It offers disk streaming capability, real-time instrument
scripts, supporting GIG, SFZ, and SF2.

%package devel
Summary:   Linuxsampler development files
Group:     Development/Libraries
Requires:  %{name} = %{version}

%description devel
Linuxsampler development files for allowing 3rd party applications to link against liblinuxsampler.

%prep
%setup -q

%build
CC=clang CXX=clang++ ./configure --prefix=%{_prefix} --libdir=%{_libdir}
make parser
make

%install
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/linuxsampler
%{_bindir}/lscp
%{_libdir}/linuxsampler/liblinuxsampler.so*
%{_mandir}/man1/linuxsampler.*
%{_mandir}/man1/lscp.*
%{_libdir}/lv2/linuxsampler*
%{_bindir}/ls_instr_script

%files devel
%defattr(-,root,root)

%{_libdir}/linuxsampler/liblinuxsampler.a
%{_libdir}/linuxsampler/liblinuxsampler.la
%{_libdir}/pkgconfig/linuxsampler.pc
%{_prefix}/include/*/
%{_sharedstatedir}/%{name}/instruments.db

%changelog
* Mon Dec 06 2021 Seth Kenlon <seth@redhat.com>
- Updated macros in spec file
* Sun May 09 2021 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 2.2.0 release.
* Sat Jul 27 2019 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 2.1.1 bugfix release.
* Wed Nov 22 2017 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 2.1.0 release.
* Wed Jul 15 2015 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 2.0.0 release.
- Added "lscp" shell binary (and its man page) to package.
* Fri Jul 31 2009 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 1.0.0 release.
* Fri Mar 27 2009 Christian Schoenebeck <cuse@users.sourceforge.net>
- included DSSI and LV2 binaries into linuxsampler package
* Wed Dec 03 2008 Christian Schoenebeck <cuse@users.sourceforge.net>
- fixed rpmbuild: config.h is no longer exported
  (fixes #87, patch by Devin Anderson)
* Thu Dec 06 2007 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 0.5.1 release.
* Mon Oct 15 2007 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 0.5.0 release.
* Fri Nov 24 2006 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 0.4.0 release.
* Thu Jun 01 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- changed deprecated copyright attribute to license
- added ldconfig to post-(un)install steps
- added devel package for liblinuxsampler
* Fri Jul 15 2005 Christian Schoenebeck <cuse@users.sourceforge.net>
- Going for linuxsampler 0.3.3 bugfix release.
* Thu Jun 23 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Ready for linuxsampler 0.3.2 bugfix release.
* Sun Jun 12 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created first official linuxsampler.spec
